Subject: [rtcweb] Fwd: inconsistency in drafts: rtcp-fb and rtcp-rsize

From: Rachel Dvori <[email-masked]>
Date: Mon, 27 Jan 2014 17:52:55 +0200

The basic question is:

-          In WebRTC offer, do we *always* have to include both attributes
of   rtcp-fb and rtcp-rsize ?  (even if we do not have any feedback msg to
send ?)

When looking into the draft of :
rtcweb-rtp-usage<http://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-11>

It is indicated that both below are MANDATORY (MUST).

Regarding *Reduced Size RTCP:*

 Support for non- compound RTCP feedback packets
[RFC5506<http://tools.ietf.org/html/rfc5506>]
is REQUIRED , but MUST be negotiated using the signalling channel before
use.

Regarding *RTCP feedback:*

For WebRTC use, the Extended  Secure RTP Profile for RTCP-Based Feedback
(RTP/SAVPF) [RFC5124 <http://tools.ietf.org/html/rfc5124>], MUST be
implemented.  ….

….This builds on the basic …… the RTP profile for RTCP-based feedback
   (RTP/AVPF) [RFC4585 <http://tools.ietf.org/html/rfc4585>], ….

>From above, one can conclude that the SDP of an offer *MUST* include *both*:

*-          **a=  rtcp-fb*

*-          **a = rtcp-rsize    *

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

When looking into:
draft-ietf-rtcweb-jsep-05<http://tools.ietf.org/html/draft-ietf-rtcweb-jsep-05>
   (page 24)

It can be understood that only rtcp-rsize is MUST to be included in the
offer (and  rtcp-fb is not mandatory to be included in the offer)

Below is quote from that dratft:

-          For *each supported* RTCP feedback mechanism, an "a=rtcp-fb"…
  (My Remark:   so if there is no support, it is not mandatory to add it)

-          An "a=rtcp-rsize" line, as specified in [RFC5506], Section
5 <http://tools.ietf.org/html/rfc5506#section-5>.

   R-11  [RFC4585 <http://tools.ietf.org/html/rfc4585>] MUST be
implemented to signal RTCP based feedback.

   R-13  [RFC5506 <http://tools.ietf.org/html/rfc5506>] MUST be
implemented to signal reduced-size RTCP  messages.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

And last draft: draft-nandakumar-rtcweb-sdp-03
<http://tools.ietf.org/html/draft-nandakumar-rtcweb-sdp-03>

It indicates that:

A typical … communication session can be characterized as below:

-          Provides RTCP based feedback mechanisms,

It does not mention that rtcp-rsize is MUST and it is does not appear
in all examples of SDP’s

So there is inconsistency between the drafts.

I would appreciate VERY Much your comment on the first question:

 In WebRTC offer, do we *always* have to include both attributes of
rtcp-fb and rtcp-rsize ?  (even if we do not have any feedback msg to send
?)

And if not –  can anyone provide clarification on what is expected to be on
each SDP offer (even if we do not have fb msg to send, but it can be easily
added in a SDP, if needed)

With appreciation

RD

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 28 Jan 2014 01:29:39 +0100

On 01/27/2014 04:52 PM, Rachel Dvori wrote:
>
>
> The basic question is:
>
> -          In WebRTC offer, do we *always* have to include both
> attributes of   rtcp-fb and rtcp-rsize ?  (even if we do not have any
> feedback msg to send ?)
>

Not speaking authoritatively, but trying to be of assistance in the
interpretation....

I don't quite understand - in which cases would you never, at any time
in the future, have any feedback messages to send, and never want the
other party to send those messages to you?

Remember - RFC 5506 "rtcp-rsize" is about telling the other side that
you are capable of receiving those messages, as well as saying that you
are capable of sending them. Even if you don't intend to send any
reduced-size RTCP, the other party may want to send them.

And the negotiation is always about what capabilities are available over
the lifetime of the session (until next renegotiation) - not just the
situation in the immediate moment.

It is also wise to look at "intended status" of messages, and what they
call themselves.

For draft-nandakumar-rtcweb-sdp, the intended status is Informational,
and the introduction says

   This documents provides an informational reference in describing the
   role of SDP and Offer/Answer exchange for the most common WebRTC use-
   cases.

Thus, its statements are not normative. It will adapt to other documents.

I hope this helps in interpreting the documents.

>  
>
>  
>
>  
>
> When looking into the draft of :  rtcweb-rtp-usage
> <http://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-11>
>
>  Support for non- compound RTCP feedback packets [RFC5506
> <http://tools.ietf.org/html/rfc5506>] is REQUIRED , but MUST be
> negotiated using the signalling channel before use. 
>
>  
>
> For WebRTC use, the Extended  Secure RTP Profile for RTCP-Based
> Feedback (RTP/SAVPF) [RFC5124 <http://tools.ietf.org/html/rfc5124>],
> MUST be implemented.  ....
>
> ....This builds on the basic ...... the RTP profile for RTCP-based
> feedback    (RTP/AVPF) [RFC4585 <http://tools.ietf.org/html/rfc4585>],
> ....
>
>  
>
> *-          **a=  rtcp-fb** ***
> When looking into:   draft-ietf-rtcweb-jsep-05
> <http://tools.ietf.org/html/draft-ietf-rtcweb-jsep-05>        (page 24)
>
>  
>
> It can be understood that only rtcp-rsize is MUST to be included in
> the offer (and  rtcp-fb is not mandatory to be included in the offer)
>
>  
>
> -          For *each supported* RTCP feedback mechanism, an
> "a=rtcp-fb"...   (My Remark:   so if there is no support, it is not
> mandatory to add it)
>
> -          An "a=rtcp-rsize" line, as specified in [RFC5506], Section 5 <http://tools.ietf.org/html/rfc5506#section-5>.
>
>  
>
>    R-11  [RFC4585 <http://tools.ietf.org/html/rfc4585>] MUST be implemented to signal RTCP based feedback.
>    R-13  [RFC5506 <http://tools.ietf.org/html/rfc5506>] MUST be implemented to signal reduced-size RTCP  messages.
>  
>  
>
> And last draft: draft-nandakumar-rtcweb-sdp-03 <http://tools.ietf.org/html/draft-nandakumar-rtcweb-sdp-03>
>  
> It indicates that:  
> A typical ... communication session can be characterized as below:
> It does not mention that rtcp-rsize is MUST and it is does not appear in all examples of SDP's 
>  
>  
> rtcp-fb and rtcp-rsize ?  (even if we do not have any feedback msg to
> send ?)
>
>  
>
> And if not --  can anyone provide clarification on what is expected to
> be on each SDP offer (even if we do not have fb msg to send, but it
> can be easily added in a SDP, if needed)
>
>  
>
> With appreciation
>
> RD
>
>  
>
>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

-- 
Surveillance is pervasive. Go Dark.